

class KillThemAll extends Pickup;

#exec TEXTURE IMPORT NAME=Skully FILE=Textures/Skully.bmp
#exec TEXTURE IMPORT NAME=SkullyIcon FILE=Textures/SkullyIcon.bmp

state Activated
{
   function BeginState()
   {
      PlaySound(ActivateSound,,4.0);
      SetTimer(0.5,True);
   }
      function Timer()
   {
     	RRgib();
   }
Begin:
	PlaySound(ActivateSound);
}

state DeActivated
{
Begin:
}

function RRgib()
{
   local vector Start, HitLocation, X;
   local ScriptedPawn SP;

   Start = Pawn(Owner).Location;
   ForEach AllActors(Class'ScriptedPawn', SP)
   {
      if ( (SP != self) && (SP != None) )
         SP.TakeDamage( 10000, Pawn(Owner), HitLocation, 60000*X, 'slashed');
         return;
   }
}

defaultproperties
{
	PickupMessage="Kill them ALL"
	PickupSound=Sound'UnrealShare.Pickups.GenPickSnd'
	ActivateSound=Sound'UnrealShare.Pickups.FSHLITE1'
	DeActivateSound=Sound'UnrealShare.Pickups.FSHLITE2'
	RespawnTime=60.000000
	bAutoActivate=True
	bActivatable=True
	bDisplayableInv=False
	bUnlit=True
	DrawType=DT_Sprite
	Texture=Texture'Skully'
	Style=STY_Masked
	DrawScale=0.25
	PickupViewScale=0.25
	Charge=1
	Icon=Texture'SkullyIcon'
	RemoteRole=ROLE_DumbProxy
	CollisionRadius=30.000000
	CollisionHeight=30.000000
}

